using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;

using System.IO;

namespace MojaPierwszaAplikacjaAspNet
{
    public class Global : System.Web.HttpApplication
    {
        public const string nazwaZmiennej_Wpisy = "wpisy";
        public const string nazwaZmiennej_NazwaUżytkownika = "nazwaUżytkownika";        
        private const string nazwaPliku_LogTxt = @"d:\log.txt";

        protected void Application_Start(object sender, EventArgs e)
        {
            //Application.Add(nazwaZmiennej_Wpisy, new List<string>());
            //Application.Add(nazwaZmiennej_Wpisy, PlikTekstowy.WczytajZPliku());
            Application.Add(nazwaZmiennej_Wpisy, new Models.Wpisy());
        }        

        protected void Application_End(object sender, EventArgs e)
        {
            //Do sprawdzenia
        }

        public static void Log(string opisBłędu)
        {
            try
            {
                File.AppendAllText(nazwaPliku_LogTxt, DateTime.Now.ToString() + ": " + opisBłędu);
            }
            catch
            {
                //ta metoda nie zwraca wyjątków
            }
        }
    }
}